package cn.ysk.cashier.service;

import cn.ysk.cashier.dto.shop.TbShopPermissionDto;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ysk.cashier.entity.TbShopPermission;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * (TbShopPermission)表服务接口
 *
 * @author makejava
 * @since 2024-09-14 10:53:11
 */
public interface TbShopPermissionService extends IService<TbShopPermission> {

    TbShopPermission queryByCode(String code);

    ResponseEntity<Object> insert(TbShopPermissionDto permissionDto);

    ResponseEntity<Object> update(TbShopPermissionDto permissionDto);

    ResponseEntity<Object> delete(Integer id);

    List<TbShopPermissionDto> getShopPermissionList();

}

